import Crate from "./crate";
import * as rust from "./rust";
export declare type ProjectOptions = {
    crate: string;
    targetDirectory: string;
};
/** A Neon project and its directory tree. */
export default class Project {
    readonly root: string;
    readonly targetDirectory: string;
    readonly crate: Crate;
    private constructor();
    static create(root: string, options?: Partial<ProjectOptions>): Promise<Project>;
    build(toolchain: rust.Toolchain, release: boolean, args: string[]): Promise<void>;
    clean(): Promise<void>;
}
